Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2207730

Summary: Crash on launch
Product: [Fedora] Fedora Reporter: lukas
Component: secretsAssignee: Yaakov Selkowitz <yselkowi>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 38CC: ego.cordatus
Target Milestone: ---Keywords: Desktop
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: secrets-stable-3820230803183155.1 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-08-12 04:49:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description lukas 2023-05-16 16:41:36 UTC
$ flatpak run org.gnome.World.Secrets
Traceback (most recent call last):
  File "/app/bin/secrets", line 66, in <module>
    main()
  File "/app/bin/secrets", line 57, in main
    from gsecrets.application import Application
  File "/app/lib/python3.11/site-packages/gsecrets/application.py", line 10, in <module>
    from gsecrets.widgets.mod import load_widgets
  File "/app/lib/python3.11/site-packages/gsecrets/widgets/mod.py", line 10, in <module>
    from gsecrets.widgets.credentials_group import CredentialsGroup
  File "/app/lib/python3.11/site-packages/gsecrets/widgets/credentials_group.py", line 9, in <module>
    from gsecrets.unlocked_database import UnlockedDatabase
  File "/app/lib/python3.11/site-packages/gsecrets/unlocked_database.py", line 26, in <module>
    from gsecrets.widgets.search import Search
  File "/app/lib/python3.11/site-packages/gsecrets/widgets/search.py", line 9, in <module>
    from pykeepass.group import Group
  File "/app/lib/python3.11/site-packages/pykeepass/__init__.py", line 2, in <module>
    from .pykeepass import PyKeePass, create_database
  File "/app/lib/python3.11/site-packages/pykeepass/pykeepass.py", line 28, in <module>
    from pykeepass.kdbx_parsing.kdbx import KDBX
  File "/app/lib/python3.11/site-packages/pykeepass/kdbx_parsing/__init__.py", line 1, in <module>
    from .kdbx import KDBX
  File "/app/lib/python3.11/site-packages/pykeepass/kdbx_parsing/kdbx.py", line 4, in <module>
    from .kdbx4 import DynamicHeader as DynamicHeader4
  File "/app/lib/python3.11/site-packages/pykeepass/kdbx_parsing/kdbx4.py", line 6, in <module>
    import argon2
  File "/app/lib/python3.11/site-packages/argon2/__init__.py", line 7, in <module>
    from . import exceptions, low_level, profiles
  File "/app/lib/python3.11/site-packages/argon2/low_level.py", line 15, in <module>
    from _argon2_cffi_bindings import ffi, lib
ModuleNotFoundError: No module named '_argon2_cffi_bindings'

Reproducible: Always

Steps to Reproduce:
1. Install org.gnome.World.Secrets as a flatpak from registry.fedoraproject.org
2. `flatpak run org.gnome.World.Secrets`

Comment 1 lukas 2023-05-16 16:45:45 UTC
> I am not sure how you managed to get this issue. The version at Flahub uses the 44 runtime which uses python3.10, not 3.11. If this is about master, you need to clean the app (build) cache.

https://gitlab.gnome.org/World/secrets/-/issues/460

Comment 2 Artem 2023-05-16 18:08:31 UTC
I am no maintain Flatpak build of Secrets, sorry https://src.fedoraproject.org/flatpaks/secrets

Comment 3 Fedora Update System 2023-08-03 19:53:03 UTC
FEDORA-FLATPAK-2023-5c01454214 has been submitted as an update to Fedora 38 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2023-5c01454214

Comment 4 Fedora Update System 2023-08-04 01:52:54 UTC
FEDORA-FLATPAK-2023-5c01454214 has been pushed to the Fedora 38 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2023-5c01454214

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-08-12 04:49:36 UTC
FEDORA-FLATPAK-2023-5c01454214 has been pushed to the Fedora 38 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.